Page MenuHomePhabricator

Localize core namespaces to Shan
Closed, ResolvedPublic

Description

Please translate the following:

$namespaceNames = [
        NS_MEDIA            => 'Media',
        NS_SPECIAL          => 'Special',
        NS_MAIN             => '',
        NS_TALK             => 'Talk',
        NS_USER             => 'User',
        NS_USER_TALK        => 'User_talk',
        # NS_PROJECT set by $wgMetaNamespace
        NS_PROJECT_TALK     => '$1_talk',
        NS_FILE             => 'File',
        NS_FILE_TALK        => 'File_talk',
        NS_MEDIAWIKI        => 'MediaWiki',
        NS_MEDIAWIKI_TALK   => 'MediaWiki_talk',
        NS_TEMPLATE         => 'Template',
        NS_TEMPLATE_TALK    => 'Template_talk',
        NS_HELP             => 'Help',
        NS_HELP_TALK        => 'Help_talk',
        NS_CATEGORY         => 'Category',
        NS_CATEGORY_TALK    => 'Category_talk',
];

Details

Related Objects

StatusSubtypeAssignedTask
ResolvedReedy
ResolvedUrbanecm

Event Timeline

Urbanecm triaged this task as Low priority.Oct 13 2018, 4:52 PM
Urbanecm created this task.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 13 2018, 4:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Saimawnkham added a subscriber: Saimawnkham.EditedOct 14 2018, 8:21 AM
$namespaceNames = [
        NS_MEDIA            => 'သိုဝ်ႇၶၢဝ်ႇ',
        NS_SPECIAL          => 'ၶိုၵ်ႉတွၼ်း',
        NS_MAIN             => '',
        NS_TALK             => 'ဢုပ်ႇၵုမ်',
        NS_USER             => 'ၽူႈၸႂ်ႉတိုဝ်း',
        NS_USER_TALK        => 'ဢုပ်ႇၵုမ်_ၽူႈၸႂ်ႉတိုဝ်း',
        # NS_PROJECT set by $wgMetaNamespace
        NS_PROJECT_TALK     => 'ဢုပ်ႇၵုမ်_$1',
        NS_FILE             => 'ၾၢႆႇ',
        NS_FILE_TALK        => 'ဢုပ်ႇၵုမ်_ၾၢႆႇ',
        NS_MEDIAWIKI        => 'သိုဝ်ႇၶၢဝ်ႇဝီႇၶီႇ',
        NS_MEDIAWIKI_TALK   => 'ဢုပ်ႇၵုမ်_သိုဝ်ႇၶၢဝ်ႇဝီႇၶီႇ',
        NS_TEMPLATE         => 'ထႅမ်းပလဵၵ်ႉ',
        NS_TEMPLATE_TALK    => 'ဢုပ်ႇၵုမ်_ထႅမ်းပလဵၵ်ႉ',
        NS_HELP             => 'လွင်ႈၸွႆႈထႅမ်',
        NS_HELP_TALK        => 'ဢုပ်ႇၵုမ်_လွင်ႈၸွႆႈထႅမ်',
        NS_CATEGORY         => 'ပိူင်ထၢၼ်ႈ',
        NS_CATEGORY_TALK    => 'ဢုပ်ႇၵုမ်_ပိူင်ထၢၼ်ႈ',
];

Change 467135 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] Add MessagesShn.php

https://gerrit.wikimedia.org/r/467135

Change 467135 merged by jenkins-bot:
[mediawiki/core@master] Add MessagesShn.php

https://gerrit.wikimedia.org/r/467135

Urbanecm closed this task as Resolved.Oct 15 2018, 1:48 PM